[Hackage] #640: Cabal should warn about haskell98 dependencies

Hackage trac at galois.com
Thu Mar 4 11:45:57 EST 2010

#640: Cabal should warn about haskell98 dependencies
  Reporter:  guest            |        Owner:                        
      Type:  enhancement      |       Status:  new                   
  Priority:  low              |    Milestone:                        
 Component:  Cabal library    |      Version:  HEAD                  
  Severity:  minor            |     Keywords:  check, warn, haskell98
Difficulty:  easy (<4 hours)  |   Ghcversion:                        
  Platform:                   |  

Comment(by guest):

 Since Haskell'98 is still de-facto the only actual language standard we
 have, and the haskell98 package embodies the libraries specified in that
 standard, I think it would be very presumptious to give a warning.
 Warnings should be reserved for things that are potentially dangerous, not
 for users who do the right thing and follow the published standards
 (unless the latter is actually broken, of course).

Ticket URL: <http://hackage.haskell.org/trac/hackage/ticket/640#comment:1>
Hackage <http://haskell.org/cabal/>
Hackage: Cabal and related projects

More information about the cabal-devel mailing list